Question about Issue 10351 (WinCE7 V1.4 release)

Dear all,

Issue:
http://developer.toradex.com/software/windows-embedded-compact/t20-t30-wec-software/release-details?view=all&issue=10351

To make use of the improved error correction I have to update the image with NVFlash (not the Update Tool). I have some doubts about this:

i) How important is this correction?
ii) There are several devices with V1.2 in customers. How could I update those equipments to V1.4 in clients using NVFLASH?

Thanks,

Renato

The issue documentation is kind of outdated. Thanks to point that out, we will update that. Since we released Update Tool 6.0.0 there is also a way to update to 1.4 with improved ECC from the image itself. More on that later.

i) How important is this correction

It depends how intensively you are using the flash itself. The main issue is that NAND on at least the 1.2 modules has a higher chance to have errors but on the other side supports more error bits. This means data could be corrupted to early also it would not be an issue to read / write with the newer ECC. How ever: We recommend the upgrade, specially if you are anyway planning a new release.

**ii) There are several devices with V1.2 in customers. How could I update those equipment to V1.4 in clients using NVFLASH? **

As mentioned above, you can upgrade with the new Update Tool. You get it here. With this Update Tool you can also apply backups from a preset module. In order to get the new ECC handling you have to upgrade with the *.CFG files. You find them either in the Image downloads bundles or if you create a backup of a preset module. All the details on backup/restore you find here.

One remark: If you upgrade with the new Update Tool using the *.CFG files, you will loose the whole FlashDisk content as well. If you want to keep some data, you may have to copy it away with a batch script.